> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Delete a server response

DELETE https://api.getpostman.com/mocks/{mockId}/server-responses/{serverResponseId}

Deletes a mock server's server response.

Reference: https://learning.postman.com/api-docs/api-reference/mocks/delete-mock-server-response

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /mocks/{mockId}/server-responses/{serverResponseId}:
    delete:
      operationId: deleteMockServerResponse
      summary: Delete a server response
      description: Deletes a mock server's server response.
      tags:
        - mocks
      parameters:
        - name: mockId
          in: path
          description: The mock's ID.
          required: true
          schema:
            $ref: '#/components/schemas/mockId'
        - name: serverResponseId
          in: path
          description: The server response's ID.
          required: true
          schema:
            $ref: '#/components/schemas/serverResponseId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/deleteMockServerResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteMockServerResponseRequestUnauthorizedError
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mockServerResponse404Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteMockServerResponseRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    mockId:
      type: string
      title: mockId
    serverResponseId:
      type: string
      title: serverResponseId
    DeleteMockServerResponseHeadersItems:
      type: object
      properties:
        key:
          type: string
          description: The request header's key value.
        value:
          type: string
          description: The request header's value.
      title: DeleteMockServerResponseHeadersItems
    DeleteMockServerResponseLanguage:
      type: string
      enum:
        - text
        - javascript
        - json
        - html
        - xml
      description: The server response's body language type.
      title: DeleteMockServerResponseLanguage
    deleteMockServerResponse:
      type: object
      properties:
        id:
          type: string
          description: The server response's ID.
        name:
          type: string
          description: The server response's name.
        statusCode:
          type: number
          format: double
          description: The server response's 5xx HTTP response code.
        headers:
          type: array
          items:
            $ref: '#/components/schemas/DeleteMockServerResponseHeadersItems'
          description: >-
            The server response's request headers, such as Content-Type, Accept,
            encoding, and other information.
        language:
          oneOf:
            - $ref: '#/components/schemas/DeleteMockServerResponseLanguage'
            - type: 'null'
          description: The server response's body language type.
        body:
          type: string
          description: >-
            The server response's body that returns when calling the mock
            server.
        createdBy:
          type: string
          description: The user ID of the user who created the server response.
        updatedBy:
          type: string
          description: The user ID of the user who last updated the server response.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the server response was created.
      description: Information about the deleted server response.
      title: deleteMockServerResponse
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    DeleteMockServerResponseRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: DeleteMockServerResponseRequestUnauthorizedError
    MockServerResponse404ErrorError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        header:
          type: string
          description: Information about the error.
        message:
          type: string
          description: The error message.
      title: MockServerResponse404ErrorError
    mockServerResponse404Error:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/MockServerResponse404ErrorError'
      title: mockServerResponse404Error
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    DeleteMockServerResponseRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: DeleteMockServerResponseRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "id": "965cdd16-fe22-4d96-a161-3d05490ac421",
  "name": "Internal Server Error",
  "statusCode": 500,
  "headers": [],
  "language": "json",
  "body": "{\n    \"message\": \"Something went wrong; try again later.\"\n}",
  "createdBy": "20891195",
  "updatedBy": "20891195",
  "createdAt": "2022-09-21T20:20:09.000Z"
}
```

**SDK Code**

```python Server Response Deleted
import requests

url = "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses/965cdd16-fe22-4d96-a161-3d05490ac421"

headers = {"x-api-key": "<apiKey>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript Server Response Deleted
const url = 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses/965cdd16-fe22-4d96-a161-3d05490ac421';
const options = {method: 'DELETE', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Server Response Deleted
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses/965cdd16-fe22-4d96-a161-3d05490ac421"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Server Response Deleted
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses/965cdd16-fe22-4d96-a161-3d05490ac421")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Server Response Deleted
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses/965cdd16-fe22-4d96-a161-3d05490ac421")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Server Response Deleted
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses/965cdd16-fe22-4d96-a161-3d05490ac421', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Server Response Deleted
using RestSharp;

var client = new RestClient("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses/965cdd16-fe22-4d96-a161-3d05490ac421");
var request = new RestRequest(Method.DELETE);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Server Response Deleted
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses/965cdd16-fe22-4d96-a161-3d05490ac421")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```